# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "rialo-api-types"
version = "0.1.10"
authors = ["Subzero Labs, Inc."]
build = false
publish = ["crates-io"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "API types for Rialo RPC endpoints"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/SubzeroLabs/rialo"

[lib]
name = "rialo_api_types"
path = "src/lib.rs"

[dependencies.bincode]
version = "1.3.3"

[dependencies.fastcrypto]
version = "0.1.9"

[dependencies.once_cell]
version = "1.21.3"

[dependencies.rialo-s-sdk]
version = "^0.1.0"

[dependencies.rialo-shared-types]
version = "^0.1.0"

[dependencies.serde]
version = "1.0.219"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.0.143"
features = ["preserve_order"]

[dependencies.thiserror]
version = "1.0.69"

[dependencies.validator]
version = "0.19"
features = ["derive"]
